#include "xdynentitypose.h"

XDynEntityPose::XDynEntityPose()
    : XAsset()
    , mPose()
    , mRadius(0.0f)
{
    
}

XDynEntityPose::~XDynEntityPose()
{
    
}

void XDynEntityPose::ParseData(QDataStream *aStream)
{
    if (GetPtr())
    {
        mPose.ParseData(aStream);

        *aStream >> mRadius;
    }
}

void XDynEntityPose::Clear()
{
    mPose.Clear();
    mRadius = 0.0f;
}
